.PHONY:	main.tcl global.tcl irctk all install clean distclean regression-tests man

PREFIX=	M4PREFIX

MANVERSION=	M4MANVER
MANPAGES+=	irctk-extensions irctk irctk-ext-sdk irctk-themes
TCLSH=		M4TCLSH

all: main.tcl global.tcl irctksh

irctksh:
	m4 -DPREFIX=${PREFIX} -DTCLSH=${TCLSH} irctk.m4 >irctk

main.tcl:
	m4 -DPREFIX=${PREFIX} main.m4 >main.tcl

global.tcl:
	m4 -DPREFIX=${PREFIX} global.m4 >global.tcl

install:
	install -Dm 0444 global.tcl ${PREFIX}/share/irctk/global.tcl
	install -Dm 0444 main.tcl ${PREFIX}/share/irctk/main.tcl
	install -Dm 0444 irctk.tcl ${PREFIX}/share/irctk/irctk.tcl
	install -Dm 0444 log.tcl ${PREFIX}/share/irctk/log.tcl
	install -Dm 0444 gui.tcl ${PREFIX}/share/irctk/gui.tcl
	install -Dm 0444 irc.tcl ${PREFIX}/share/irctk/irc.tcl
	install -Dm 0444 exts.tcl ${PREFIX}/share/irctk/exts.tcl
	install -Dm 0444 irctk-ext-sdk.tcl ${PREFIX}/share/irctk/irctk-ext-sdk.tcl
	install -Dm 0555 irctk ${PREFIX}/bin/irctk
	install -Dm 0444 ${MANVERSION}/irctk.1 ${PREFIX}/man/man1/irctk.1
	install -Dm 0444 ${MANVERSION}/irctk-extensions.7 ${PREFIX}/man/man7/irctk-extensions.7
	install -Dm 0444 ${MANVERSION}/irctk-ext-sdk.n ${PREFIX}/man/mann/irctk-ext-sdk.n
	install -Dm 0444 ${MANVERSION}/irctk-themes.7 ${PREFIX}/man/man7/irctk-themes.7
	cp -r themes ${PREFIX}/share/irctk
	find ${PREFIX}/share/irctk/themes -type d -exec chmod 0755 {} \;
	find ${PREFIX}/share/irctk/themes -type f -exec chmod 0644 {} \;

clean:
	rm -f main.tcl irctk global.tcl

distclean: clean
	rm Makefile

regression-tests:
	${MAKE} -C regress regress

man: ${MANPAGES}

irctk: man/irctk.1 mdoc/irctk.1

irctk-extensions: man/irctk-extensions.7 mdoc/irctk-extensions.7

irctk-ext-sdk: man/irctk-ext-sdk.n mdoc/irctk-ext-sdk.n

irctk-themes: man/irctk-themes.7 mdoc/irctk-themes.7

mdoc/irctk.1: irctk.1
	cp irctk.1 mdoc

man/irctk.1: irctk.1
	mandoc -Tman ./irctk.1 >man/irctk.1

mdoc/irctk-extensions.7: irctk-extensions.7
	cp irctk-extensions.7 mdoc

man/irctk-extensions.7: irctk-extensions.7
	mandoc -Tman ./irctk-extensions.7 >man/irctk-extensions.7

mdoc/irctk-ext-sdk.n: irctk-ext-sdk.n
	cp irctk-ext-sdk.n mdoc

man/irctk-ext-sdk.n: irctk-ext-sdk.n
	mandoc -Tman ./irctk-ext-sdk.n >man/irctk-ext-sdk.n

mdoc/irctk-themes.7: irctk-themes.7
	cp irctk-themes.7 mdoc

man/irctk-themes.7: irctk-themes.7
	mandoc -Tman ./irctk-themes.7 >man/irctk-themes.7
