/*
 * Copyright (c) 2024 Andrea Biscuola <a@abiscuola.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef _HAVE_STAILQ_
#include "queue.h"
#else
#include <sys/queue.h>
#endif /* _HAVE_STAILQ_ */

#ifndef _HAVE_PLEDGE_
#define	pledge(x, y) 0
#endif /* _HAVE_PLEDGE_ */

#ifndef _HAVE_UNVEIL_
#define	unveil(x, y) 0
#endif /* _HAVE_UNVEIL_ */

#ifndef _HAVE_STRTONUM_
long long	strtonum(const char *, long long, long long, const char **);
#endif /* _HAVE_STRTONUM_ */

#ifndef _HAVE_DEAD_
#define __dead
#else
#include <sys/cdefs.h>
#endif /* _HAVE_DEAD_ */

#ifndef _HAVE_SETPROCTITLE_
void	setproctitle(const char *fmt, ...);
#endif /* _HAVE_SETPROCTITLE */

#ifndef _HAVE_EXPLICIT_BZERO_
void	explicit_bzero(void *, size_t);
#endif /* _HAVE_EXPLICIT_BZERO_ */

#ifndef _HAVE_STRLCPY_
size_t	strlcpy(char *, const char *, size_t);
#endif /* _HAVE_STRLCPY */

#ifndef _HAVE_STRLCAT_
size_t	strlcat(char *, const char *, size_t);
#endif /* _HAVE_STRLCAT_ */

#ifndef _HAVE_GETPROGNAME_
const char	*getprogname(void);
#endif /* _HAVE_GETPROGNAME_ */

#ifndef _HAVE_STRPTIME_
char	*strptime(const char *, const char *, struct tm *);
#endif /* _HAVE_STRPTIME_ */

