.PHONY:	all install clean man distclean

LIB=	libapi
PREFIX=	M4PREFIX

MAJOR=	1
MINOR=	3

LIBSH=	${LIB}.so.${MAJOR}.${MINOR}
LIBA=	${LIB}.a

OBJS=	M4OBJS

MAN=	M4MAN

all: ${LIBA} ${LIBSH}

${LIBA}: ${OBJS}
	ar rcs ${LIBA} ${OBJS}

${LIBSH}: ${OBJS}
	cc -o ${LIBSH} -Wl,-soname,${LIBSH} -shared -MD -MP M4LDFLAGS ${OBJS}

include(.deps)dnl

install: ${LIBA} ${LIBSH}
	install -Dm 0644 api.h ${DESTDIR}${PREFIX}/include/api.h
	install -Dm 0644 ${LIBA} ${DESTDIR}${PREFIX}/lib/${LIBA}
	install -Dm 0644 ${LIBSH} ${DESTDIR}${PREFIX}/lib/${LIBSH}
	install -Dm 0444 ${MAN} ${DESTDIR}${PREFIX}/share/man/man3/${LIB}.3

man: ${LIB}.3
	mandoc -Tman ./${LIB}.3 >man/${LIB}.3

distclean: clean
	rm -f Makefile .deps

clean:
	rm -f ${LIBA} ${LIBSH} *.o
