/*
 * Copyright (c) 2024 Andrea Biscuola <a@abiscuola.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef _COMPAT_H_
#define _COMPAT_H_

#ifndef _HAVE_FREEZERO_
#define freezero(b, s) \
	explicit_bzero(b, s); \
	free(b)
#endif /* _HAVE_FREEZERO_ */

#ifndef _HAVE_EXPLICIT_BZERO_
void	explicit_bzero(void *, size_t );
#endif /* _HAVE_EXPLICIT_BZERO_ */

#ifndef _HAVE_STRLCPY_
size_t	strlcpy(char *, const char *, size_t);
#endif /* _HAVE_STRLCPY_ */

#ifndef _HAVE_REALLOCARRAY_
void	*reallocarray(void *, size_t, size_t);
#endif /* _HAVE_REALLOCARRAY_ */

#endif /* _COMPAT_H_ */